sata_scr_read
Prev | Chapter 4. libata Library | Next

## Name

sata_scr_read — read SCR register of the specified port

## Synopsis

`int sata_scr_read (` | struct ata_port * | ap,
| int | reg,
| u32 * | val`)`;

## Arguments

`ap`

  ATA port to read SCR for

`reg`

  SCR to read

`val`

  Place to store read value

## Description

Read SCR register `reg` of `ap` into *`val`. This function is guaranteed to succeed if the cable type of the port is SATA and the port implements ->scr_read.

## LOCKING

None.

## RETURNS

0 on success, negative errno on failure.

Prev | Up | Next
sata_scr_valid | Home | sata_scr_write